> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecomail.cz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event by ID

> Retrieve a single tracker event by its ID.

<ParamField path="id" type="integer" required>
  Event ID.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api2.ecomailapp.cz/tracker/events/1234" \
    -H "key: YOUR_API_KEY" \
    -H "Content-Type: application/json"
  ```

  ```php PHP theme={null}
  $id = 1234;
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/tracker/events/{$id}");
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      'key: YOUR_API_KEY',
      'Content-Type: application/json',
  ]);
  $response = curl_exec($ch);
  curl_close($ch);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": 1234,
    "duid": null,
    "email": "foo@bar.cz",
    "category": "ue",
    "action": "Basket",
    "label": "Basket",
    "property": null,
    "value": "{\"data\":{\"data\":{\"action\":\"Basket\",\"products\":[]}}}",
    "timestamp": "2025-03-15T14:30:00.000000Z",
    "campaign_attr": null,
    "pipeline_attr": null
  }
  ```

  ```json 404 theme={null}
  {
    "message": "Event not found"
  }
  ```
</ResponseExample>
